unit EccDefs;

interface

uses
  Types;

type
  OutProc = reference to procedure(const Text: string);
{  ReqFunc = reference to function(const Title, Text: string; Default, Save: Boolean): Integer;}
  IndexProcRef = reference to procedure(const Name: string; Level, Id: Integer);
  StringArray = array of string;

var
  OutMessage: OutProc;
{  RequestModal: ReqFunc;}

  { ,    Vars
    }
  _s_Notbreaks: Boolean = False;
  _s_FirstLetter: Boolean = True;
  _s_Perenos: Boolean = True;
  _s_LinesMerge: Boolean = False;
  _s_SyncColumns: Boolean = True;
  _s_InsertActs: Boolean = True;
  _s_InsertImgs: Boolean = True;
  _s_ForceDouble: Boolean = False;
  _o_TwoLiks: Boolean = True;
  _s_InsertStars: Boolean = True;
  _s_Spoilers: Boolean = True;
  _s_SpExpanded: Boolean = True;
  _s_SpTitles: Boolean = True;
  _notParam: TStringDynArray;
  _OnModify: Boolean = True;
  _sTypesWrite, _sStih, _sReplaceStars, _sNoPretag,
    _sNoLineBreak, _sNoVoiceAfterStyle: StringArray;
  {$IFDEF DEBUG}
  _NodeLevel: Integer = 0;
  {$ENDIF}

const
  SermRanks: array[0..9] of string =
    ('', '', '', '',
    ' ( )', '', '',
    '', '', '');
  SermExacts: array[0..13] of string =
    ('', '', '', '',
    ''{2- }, '', '', '',
    '', '', ' ',
    ' ', ' ', ' ');
  DayPeriods: array[0..4] of string =
    ('', '', '', '',
    ''{    , 
      ,     !});
  DayTypes: array[0..3] of string =
    ('', ' ()', ' ',
    '  ');

implementation

initialization

finalization
  SetLength(_sTypesWrite, 0);
  SetLength(_sStih, 0);
  SetLength(_sReplaceStars, 0);
  SetLength(_sNoPretag, 0);
  SetLength(_sNoLineBreak, 0);
  SetLength(_sNoVoiceAfterStyle, 0);
end.
